package org.jboss.errai.marshalling.client.api;

import com.google.gwt.core.shared.GWT;
import java.util.AbstractMap;
import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.Map;
import java.util.SortedMap;
import java.util.TreeMap;
import javax.enterprise.context.Dependent;
import org.jboss.errai.marshalling.client.marshallers.BigDecimalMarshaller;
import org.jboss.errai.marshalling.client.marshallers.BigIntegerMarshaller;
import org.jboss.errai.marshalling.client.marshallers.BooleanMarshaller;
import org.jboss.errai.marshalling.client.marshallers.ByteMarshaller;
import org.jboss.errai.marshalling.client.marshallers.CharacterMarshaller;
import org.jboss.errai.marshalling.client.marshallers.ClientClassMarshaller;
import org.jboss.errai.marshalling.client.marshallers.DateMarshaller;
import org.jboss.errai.marshalling.client.marshallers.DoubleMarshaller;
import org.jboss.errai.marshalling.client.marshallers.FloatMarshaller;
import org.jboss.errai.marshalling.client.marshallers.IntegerMarshaller;
import org.jboss.errai.marshalling.client.marshallers.LinkedHashSetMarshaller;
import org.jboss.errai.marshalling.client.marshallers.LinkedListMarshaller;
import org.jboss.errai.marshalling.client.marshallers.LinkedMapMarshaller;
import org.jboss.errai.marshalling.client.marshallers.ListMarshaller;
import org.jboss.errai.marshalling.client.marshallers.LongMarshaller;
import org.jboss.errai.marshalling.client.marshallers.MapMarshaller;
import org.jboss.errai.marshalling.client.marshallers.ObjectMarshaller;
import org.jboss.errai.marshalling.client.marshallers.PriorityQueueMarshaller;
import org.jboss.errai.marshalling.client.marshallers.QualifyingMarshallerWrapper;
import org.jboss.errai.marshalling.client.marshallers.QueueMarshaller;
import org.jboss.errai.marshalling.client.marshallers.SQLDateMarshaller;
import org.jboss.errai.marshalling.client.marshallers.SetMarshaller;
import org.jboss.errai.marshalling.client.marshallers.ShortMarshaller;
import org.jboss.errai.marshalling.client.marshallers.SortedMapMarshaller;
import org.jboss.errai.marshalling.client.marshallers.SortedSetMarshaller;
import org.jboss.errai.marshalling.client.marshallers.StringBufferMarshaller;
import org.jboss.errai.marshalling.client.marshallers.StringBuilderMarshaller;
import org.jboss.errai.marshalling.client.marshallers.StringMarshaller;
import org.jboss.errai.marshalling.client.marshallers.TimeMarshaller;
import org.jboss.errai.marshalling.client.marshallers.TimestampMarshaller;
import org.uberfire.rpc.impl.SessionInfoMarshalller;
@Dependent public class MarshallerFactoryImpl implements MarshallerFactory {
  private Map<String, Marshaller> marshallers = new HashMap<String, Marshaller>();
  abstract class Marshaller_for_java_lang_Throwable implements GeneratedMarshaller { }
  abstract class Marshaller_for_java_lang_ArithmeticException implements GeneratedMarshaller { }
  abstract class Marshaller_for_java_io_IOException implements GeneratedMarshaller { }
  abstract class Marshaller_for_java_lang_IllegalArgumentException implements GeneratedMarshaller { }
  abstract class Marshaller_for_java_util_EmptyStackException implements GeneratedMarshaller { }
  abstract class Marshaller_for_java_lang_ArrayStoreException implements GeneratedMarshaller { }
  abstract class Marshaller_for_java_lang_ClassCastException implements GeneratedMarshaller { }
  abstract class Marshaller_for_java_util_ConcurrentModificationException implements GeneratedMarshaller { }
  abstract class Marshaller_for_java_lang_IndexOutOfBoundsException implements GeneratedMarshaller { }
  abstract class Marshaller_for_java_lang_NegativeArraySizeException implements GeneratedMarshaller { }
  abstract class Marshaller_for_java_lang_NullPointerException implements GeneratedMarshaller { }
  abstract class Marshaller_for_java_lang_StringIndexOutOfBoundsException implements GeneratedMarshaller { }
  abstract class Marshaller_for_java_lang_UnsupportedOperationException implements GeneratedMarshaller { }
  abstract class Marshaller_for_java_lang_AssertionError implements GeneratedMarshaller { }
  abstract class Marshaller_for_java_lang_RuntimeException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_jboss_errai_security_shared_exception_SecurityException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_jboss_errai_security_shared_exception_UnauthenticatedException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_jboss_errai_security_shared_exception_UnauthorizedException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_jboss_errai_security_shared_exception_AuthenticationException implements GeneratedMarshaller { }
  abstract class Marshaller_for_java_lang_StackTraceElement implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_jboss_errai_security_shared_exception_AlreadyLoggedInException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_model_NamedPosition implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_jboss_errai_security_shared_api_RoleImpl implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_java_nio_file_FileSystemException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_events_PluginReloadedEvent implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_java_nio_file_PatternSyntaxException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_events_ResourceUpdatedEvent implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_events_ResourceBatchChangesEvent implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_events_ResourceOpenedEvent implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_model_impl_ContextDefinitionImpl implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_model_Notification_erraiD_State implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_events_ResourceAddedEvent implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_backend_vfs_impl_LockResult implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_events_ResourceAdded implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_events_ResourceRenamed implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_java_nio_file_AccessDeniedException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_java_nio_file_NotDirectoryException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_mvp_impl_ForcedPlaceRequest implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_backend_vfs_impl_LockInfo implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_java_nio_file_InvalidPathException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_model_impl_PerspectiveDefinitionImpl implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_events_ResourceRenamedEvent implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_jboss_errai_common_client_PageRequest implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_events_ResourceCopiedEvent implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_java_nio_IOException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_java_nio_file_FileSystemAlreadyExistsException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_java_nio_file_AtomicMoveNotSupportedException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_java_nio_file_NoSuchFileException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_model_impl_PartDefinitionImpl implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_backend_vfs_PathFactory_erraiD_PathImpl implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_jboss_errai_security_shared_exception_FailedAuthenticationException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_java_nio_file_FileSystemNotFoundException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_java_nio_file_FileAlreadyExistsException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_model_ContextDisplayMode implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_model_impl_SplashScreenFilterImpl implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_events_UberfireJSAPIReadyEvent implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_backend_vfs_impl_ObservablePathImpl implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_paging_PageRequest implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_security_impl_authz_DefaultPermissionCollection implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_events_ResourceChangeType implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_jboss_errai_security_shared_api_GroupImpl implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_mvp_impl_DefaultPlaceRequest implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_events_ResourceUpdated implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_events_ResourceDeleted implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_events_PluginAddedEvent implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_java_nio_file_NotLinkException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_security_authz_AuthorizationResult implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_model_impl_PanelDefinitionImpl implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_security_impl_authz_DefaultAuthorizationPolicy implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_events_PluginUpdatedEvent implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_events_ResourceDeletedEvent implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_events_ResourceCopied implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_security_impl_authz_DotNamedPermission implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_jboss_errai_security_shared_api_identity_UserImpl implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_mvp_impl_PathPlaceRequest implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_java_nio_file_ClosedWatchServiceException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_security_impl_authz_DefaultAuthorizationEntry implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_paging_PageResponse implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_model_Notification implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_java_nio_file_DirectoryNotEmptyException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_java_nio_file_ProviderNotFoundException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_model_CompassPosition implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_events_NotificationEvent_erraiD_NotificationType implements GeneratedMarshaller { }
  public MarshallerFactoryImpl() {
    final ObjectMarshaller java_lang_Object = new ObjectMarshaller();
    marshallers.put("java.lang.Object", java_lang_Object);
    final BigDecimalMarshaller java_math_BigDecimal = new BigDecimalMarshaller();
    marshallers.put("java.math.BigDecimal", java_math_BigDecimal);
    final QualifyingMarshallerWrapper<Map> java_util_Map = new QualifyingMarshallerWrapper(new MapMarshaller(), MapMarshaller.class);
    marshallers.put("java.util.Map", java_util_Map);
    marshallers.put("java.util.AbstractMap", java_util_Map);
    marshallers.put("java.util.HashMap", java_util_Map);
    marshallers.put("java.util.Collections$SynchronizedMap", java_util_Map);
    marshallers.put("java.util.Collections$EmptyMap", java_util_Map);
    marshallers.put("java.util.Collections$UnmodifiableMap", java_util_Map);
    marshallers.put("java.util.Collections$SingletonMap", java_util_Map);
    final QualifyingMarshallerWrapper<AbstractMap> java_util_AbstractMap = new QualifyingMarshallerWrapper(new MapMarshaller(), MapMarshaller.class);
    marshallers.put("java.util.AbstractMap", java_util_AbstractMap);
    final QualifyingMarshallerWrapper<HashMap> java_util_HashMap = new QualifyingMarshallerWrapper(new MapMarshaller(), MapMarshaller.class);
    marshallers.put("java.util.HashMap", java_util_HashMap);
    final BooleanMarshaller java_lang_Boolean = new BooleanMarshaller();
    marshallers.put("java.lang.Boolean", java_lang_Boolean);
    final DateMarshaller java_util_Date = new DateMarshaller();
    marshallers.put("java.util.Date", java_util_Date);
    final FloatMarshaller java_lang_Float = new FloatMarshaller();
    marshallers.put("java.lang.Float", java_lang_Float);
    final ByteMarshaller java_lang_Byte = new ByteMarshaller();
    marshallers.put("java.lang.Byte", java_lang_Byte);
    final QualifyingMarshallerWrapper<LinkedHashMap> java_util_LinkedHashMap = new QualifyingMarshallerWrapper(new LinkedMapMarshaller(), LinkedMapMarshaller.class);
    marshallers.put("java.util.LinkedHashMap", java_util_LinkedHashMap);
    final QualifyingMarshallerWrapper<SortedMap> java_util_SortedMap = new QualifyingMarshallerWrapper(new SortedMapMarshaller(), SortedMapMarshaller.class);
    marshallers.put("java.util.SortedMap", java_util_SortedMap);
    marshallers.put("java.util.TreeMap", java_util_SortedMap);
    marshallers.put("java.util.Collections$SynchronizedSortedMap", java_util_SortedMap);
    marshallers.put("java.util.Collections$UnmodifiableSortedMap", java_util_SortedMap);
    final QualifyingMarshallerWrapper<TreeMap> java_util_TreeMap = new QualifyingMarshallerWrapper(new SortedMapMarshaller(), SortedMapMarshaller.class);
    marshallers.put("java.util.TreeMap", java_util_TreeMap);
    final DoubleMarshaller java_lang_Double = new DoubleMarshaller();
    marshallers.put("java.lang.Double", java_lang_Double);
    final BigIntegerMarshaller java_math_BigInteger = new BigIntegerMarshaller();
    marshallers.put("java.math.BigInteger", java_math_BigInteger);
    final SQLDateMarshaller java_sql_Date = new SQLDateMarshaller();
    marshallers.put("java.sql.Date", java_sql_Date);
    final StringMarshaller java_lang_String = new StringMarshaller();
    marshallers.put("java.lang.String", java_lang_String);
    final SessionInfoMarshalller org_uberfire_rpc_SessionInfo = new SessionInfoMarshalller();
    marshallers.put("org.uberfire.rpc.SessionInfo", org_uberfire_rpc_SessionInfo);
    final LinkedHashSetMarshaller java_util_LinkedHashSet = new LinkedHashSetMarshaller();
    marshallers.put("java.util.LinkedHashSet", java_util_LinkedHashSet);
    final StringBuilderMarshaller java_lang_StringBuilder = new StringBuilderMarshaller();
    marshallers.put("java.lang.StringBuilder", java_lang_StringBuilder);
    final IntegerMarshaller java_lang_Integer = new IntegerMarshaller();
    marshallers.put("java.lang.Integer", java_lang_Integer);
    final TimestampMarshaller java_sql_Timestamp = new TimestampMarshaller();
    marshallers.put("java.sql.Timestamp", java_sql_Timestamp);
    final SetMarshaller java_util_Set = new SetMarshaller();
    marshallers.put("java.util.Set", java_util_Set);
    marshallers.put("java.util.AbstractSet", java_util_Set);
    marshallers.put("java.util.HashSet", java_util_Set);
    marshallers.put("java.util.Collections$SynchronizedSet", java_util_Set);
    marshallers.put("java.util.Collections$UnmodifiableSet", java_util_Set);
    marshallers.put("java.util.Collections$SingletonSet", java_util_Set);
    marshallers.put("java.util.Collections$EmptySet", java_util_Set);
    final SetMarshaller java_util_AbstractSet = new SetMarshaller();
    marshallers.put("java.util.AbstractSet", java_util_AbstractSet);
    final SetMarshaller java_util_HashSet = new SetMarshaller();
    marshallers.put("java.util.HashSet", java_util_HashSet);
    final LinkedListMarshaller java_util_LinkedList = new LinkedListMarshaller();
    marshallers.put("java.util.LinkedList", java_util_LinkedList);
    final LongMarshaller java_lang_Long = new LongMarshaller();
    marshallers.put("java.lang.Long", java_lang_Long);
    final ClientClassMarshaller java_lang_Class = new ClientClassMarshaller();
    marshallers.put("java.lang.Class", java_lang_Class);
    final ListMarshaller java_util_List = new ListMarshaller();
    marshallers.put("java.util.List", java_util_List);
    marshallers.put("java.util.AbstractList", java_util_List);
    marshallers.put("java.util.ArrayList", java_util_List);
    marshallers.put("java.util.Vector", java_util_List);
    marshallers.put("java.util.Stack", java_util_List);
    marshallers.put("java.util.Collections$SynchronizedRandomAccessList", java_util_List);
    marshallers.put("java.util.Collections$SynchronizedList", java_util_List);
    marshallers.put("java.util.Collections$SingletonList", java_util_List);
    marshallers.put("java.util.Collections$EmptyList", java_util_List);
    marshallers.put("java.util.Collections$UnmodifiableRandomAccessList", java_util_List);
    marshallers.put("java.util.Collections$UnmodifiableList", java_util_List);
    marshallers.put("java.util.Arrays$ArrayList", java_util_List);
    final ListMarshaller java_util_AbstractList = new ListMarshaller();
    marshallers.put("java.util.AbstractList", java_util_AbstractList);
    final ListMarshaller java_util_ArrayList = new ListMarshaller();
    marshallers.put("java.util.ArrayList", java_util_ArrayList);
    final ListMarshaller java_util_Vector = new ListMarshaller();
    marshallers.put("java.util.Vector", java_util_Vector);
    final ListMarshaller java_util_Stack = new ListMarshaller();
    marshallers.put("java.util.Stack", java_util_Stack);
    final QueueMarshaller java_util_Queue = new QueueMarshaller();
    marshallers.put("java.util.Queue", java_util_Queue);
    marshallers.put("java.util.AbstractQueue", java_util_Queue);
    final QueueMarshaller java_util_AbstractQueue = new QueueMarshaller();
    marshallers.put("java.util.AbstractQueue", java_util_AbstractQueue);
    final ShortMarshaller java_lang_Short = new ShortMarshaller();
    marshallers.put("java.lang.Short", java_lang_Short);
    final CharacterMarshaller java_lang_Character = new CharacterMarshaller();
    marshallers.put("java.lang.Character", java_lang_Character);
    final StringBufferMarshaller java_lang_StringBuffer = new StringBufferMarshaller();
    marshallers.put("java.lang.StringBuffer", java_lang_StringBuffer);
    final TimeMarshaller java_sql_Time = new TimeMarshaller();
    marshallers.put("java.sql.Time", java_sql_Time);
    final SortedSetMarshaller java_util_SortedSet = new SortedSetMarshaller();
    marshallers.put("java.util.SortedSet", java_util_SortedSet);
    marshallers.put("java.util.TreeSet", java_util_SortedSet);
    marshallers.put("java.util.Collections$UnmodifiableSortedSet", java_util_SortedSet);
    marshallers.put("java.util.Collections$SynchronizedSortedSet", java_util_SortedSet);
    final SortedSetMarshaller java_util_TreeSet = new SortedSetMarshaller();
    marshallers.put("java.util.TreeSet", java_util_TreeSet);
    final PriorityQueueMarshaller java_util_PriorityQueue = new PriorityQueueMarshaller();
    marshallers.put("java.util.PriorityQueue", java_util_PriorityQueue);
  }

  private boolean putIfNotNull(String fqcn, Marshaller m) {
    if (m != null) {
      marshallers.put(fqcn, m);
      return true;
    } else {
      return false;
    }
  }

  private boolean loadMarshaller0(String a0) {
    Marshaller m = null;
    if ("java.lang.Throwable".equals(a0)) {
      m = GWT.create(Marshaller_for_java_lang_Throwable.class);
    } else if ("java.lang.ArithmeticException".equals(a0)) {
      m = GWT.create(Marshaller_for_java_lang_ArithmeticException.class);
    } else if ("java.io.IOException".equals(a0)) {
      m = GWT.create(Marshaller_for_java_io_IOException.class);
    } else if ("java.lang.IllegalArgumentException".equals(a0)) {
      m = GWT.create(Marshaller_for_java_lang_IllegalArgumentException.class);
    } else if ("java.util.EmptyStackException".equals(a0)) {
      m = GWT.create(Marshaller_for_java_util_EmptyStackException.class);
    } else if ("java.lang.ArrayStoreException".equals(a0)) {
      m = GWT.create(Marshaller_for_java_lang_ArrayStoreException.class);
    } else if ("java.lang.ClassCastException".equals(a0)) {
      m = GWT.create(Marshaller_for_java_lang_ClassCastException.class);
    } else if ("java.util.ConcurrentModificationException".equals(a0)) {
      m = GWT.create(Marshaller_for_java_util_ConcurrentModificationException.class);
    } else if ("java.lang.IndexOutOfBoundsException".equals(a0)) {
      m = GWT.create(Marshaller_for_java_lang_IndexOutOfBoundsException.class);
    } else if ("java.lang.NegativeArraySizeException".equals(a0)) {
      m = GWT.create(Marshaller_for_java_lang_NegativeArraySizeException.class);
    } else if ("java.lang.NullPointerException".equals(a0)) {
      m = GWT.create(Marshaller_for_java_lang_NullPointerException.class);
    } else if ("java.lang.StringIndexOutOfBoundsException".equals(a0)) {
      m = GWT.create(Marshaller_for_java_lang_StringIndexOutOfBoundsException.class);
    } else if ("java.lang.UnsupportedOperationException".equals(a0)) {
      m = GWT.create(Marshaller_for_java_lang_UnsupportedOperationException.class);
    } else if ("java.lang.AssertionError".equals(a0)) {
      m = GWT.create(Marshaller_for_java_lang_AssertionError.class);
    } else if ("java.lang.RuntimeException".equals(a0)) {
      m = GWT.create(Marshaller_for_java_lang_RuntimeException.class);
    } else if ("org.jboss.errai.security.shared.exception.SecurityException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_jboss_errai_security_shared_exception_SecurityException.class);
    } else if ("org.jboss.errai.security.shared.exception.UnauthenticatedException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_jboss_errai_security_shared_exception_UnauthenticatedException.class);
    } else if ("org.jboss.errai.security.shared.exception.UnauthorizedException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_jboss_errai_security_shared_exception_UnauthorizedException.class);
    } else if ("org.jboss.errai.security.shared.exception.AuthenticationException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_jboss_errai_security_shared_exception_AuthenticationException.class);
    } else if ("java.lang.StackTraceElement".equals(a0)) {
      m = GWT.create(Marshaller_for_java_lang_StackTraceElement.class);
    } else if ("org.jboss.errai.security.shared.exception.AlreadyLoggedInException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_jboss_errai_security_shared_exception_AlreadyLoggedInException.class);
    } else if ("org.uberfire.workbench.model.NamedPosition".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_model_NamedPosition.class);
    } else if ("org.jboss.errai.security.shared.api.RoleImpl".equals(a0)) {
      m = GWT.create(Marshaller_for_org_jboss_errai_security_shared_api_RoleImpl.class);
    } else if ("org.uberfire.java.nio.file.FileSystemException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_java_nio_file_FileSystemException.class);
    } else if ("org.uberfire.workbench.events.PluginReloadedEvent".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_events_PluginReloadedEvent.class);
    } else if ("org.uberfire.java.nio.file.PatternSyntaxException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_java_nio_file_PatternSyntaxException.class);
    } else if ("org.uberfire.workbench.events.ResourceUpdatedEvent".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_events_ResourceUpdatedEvent.class);
    } else if ("org.uberfire.workbench.events.ResourceBatchChangesEvent".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_events_ResourceBatchChangesEvent.class);
    } else if ("org.uberfire.workbench.events.ResourceOpenedEvent".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_events_ResourceOpenedEvent.class);
    } else if ("org.uberfire.workbench.model.impl.ContextDefinitionImpl".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_model_impl_ContextDefinitionImpl.class);
    } else if ("org.uberfire.workbench.model.Notification$State".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_model_Notification_erraiD_State.class);
    } else if ("org.uberfire.workbench.events.ResourceAddedEvent".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_events_ResourceAddedEvent.class);
    } else if ("org.uberfire.backend.vfs.impl.LockResult".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_backend_vfs_impl_LockResult.class);
    } else if ("org.uberfire.workbench.events.ResourceAdded".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_events_ResourceAdded.class);
    } else if ("org.uberfire.workbench.events.ResourceRenamed".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_events_ResourceRenamed.class);
    } else if ("org.uberfire.java.nio.file.AccessDeniedException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_java_nio_file_AccessDeniedException.class);
    } else if ("org.uberfire.java.nio.file.NotDirectoryException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_java_nio_file_NotDirectoryException.class);
    } else if ("org.uberfire.mvp.impl.ForcedPlaceRequest".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_mvp_impl_ForcedPlaceRequest.class);
    } else if ("org.uberfire.backend.vfs.impl.LockInfo".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_backend_vfs_impl_LockInfo.class);
    } else if ("org.uberfire.java.nio.file.InvalidPathException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_java_nio_file_InvalidPathException.class);
    } else if ("org.uberfire.workbench.model.impl.PerspectiveDefinitionImpl".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_model_impl_PerspectiveDefinitionImpl.class);
    } else if ("org.uberfire.workbench.events.ResourceRenamedEvent".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_events_ResourceRenamedEvent.class);
    } else if ("org.jboss.errai.common.client.PageRequest".equals(a0)) {
      m = GWT.create(Marshaller_for_org_jboss_errai_common_client_PageRequest.class);
    } else if ("org.uberfire.workbench.events.ResourceCopiedEvent".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_events_ResourceCopiedEvent.class);
    } else if ("org.uberfire.java.nio.IOException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_java_nio_IOException.class);
    } else if ("org.uberfire.java.nio.file.FileSystemAlreadyExistsException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_java_nio_file_FileSystemAlreadyExistsException.class);
    } else if ("org.uberfire.java.nio.file.AtomicMoveNotSupportedException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_java_nio_file_AtomicMoveNotSupportedException.class);
    } else if ("org.uberfire.java.nio.file.NoSuchFileException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_java_nio_file_NoSuchFileException.class);
    } else if ("org.uberfire.workbench.model.impl.PartDefinitionImpl".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_model_impl_PartDefinitionImpl.class);
    } else if ("org.uberfire.backend.vfs.PathFactory$PathImpl".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_backend_vfs_PathFactory_erraiD_PathImpl.class);
    } else if ("org.jboss.errai.security.shared.exception.FailedAuthenticationException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_jboss_errai_security_shared_exception_FailedAuthenticationException.class);
    } else if ("org.uberfire.java.nio.file.FileSystemNotFoundException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_java_nio_file_FileSystemNotFoundException.class);
    } else if ("org.uberfire.java.nio.file.FileAlreadyExistsException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_java_nio_file_FileAlreadyExistsException.class);
    } else if ("org.uberfire.workbench.model.ContextDisplayMode".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_model_ContextDisplayMode.class);
    } else if ("org.uberfire.workbench.model.impl.SplashScreenFilterImpl".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_model_impl_SplashScreenFilterImpl.class);
    } else if ("org.uberfire.workbench.events.UberfireJSAPIReadyEvent".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_events_UberfireJSAPIReadyEvent.class);
    } else if ("org.uberfire.backend.vfs.impl.ObservablePathImpl".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_backend_vfs_impl_ObservablePathImpl.class);
    } else if ("org.uberfire.paging.PageRequest".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_paging_PageRequest.class);
    } else if ("org.uberfire.security.impl.authz.DefaultPermissionCollection".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_security_impl_authz_DefaultPermissionCollection.class);
    } else if ("org.uberfire.workbench.events.ResourceChangeType".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_events_ResourceChangeType.class);
    } else if ("org.jboss.errai.security.shared.api.GroupImpl".equals(a0)) {
      m = GWT.create(Marshaller_for_org_jboss_errai_security_shared_api_GroupImpl.class);
    } else if ("org.uberfire.mvp.impl.DefaultPlaceRequest".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_mvp_impl_DefaultPlaceRequest.class);
    } else if ("org.uberfire.workbench.events.ResourceUpdated".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_events_ResourceUpdated.class);
    } else if ("org.uberfire.workbench.events.ResourceDeleted".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_events_ResourceDeleted.class);
    } else if ("org.uberfire.workbench.events.PluginAddedEvent".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_events_PluginAddedEvent.class);
    } else if ("org.uberfire.java.nio.file.NotLinkException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_java_nio_file_NotLinkException.class);
    } else if ("org.uberfire.security.authz.AuthorizationResult".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_security_authz_AuthorizationResult.class);
    } else if ("org.uberfire.workbench.model.impl.PanelDefinitionImpl".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_model_impl_PanelDefinitionImpl.class);
    } else if ("org.uberfire.security.impl.authz.DefaultAuthorizationPolicy".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_security_impl_authz_DefaultAuthorizationPolicy.class);
    } else if ("org.uberfire.workbench.events.PluginUpdatedEvent".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_events_PluginUpdatedEvent.class);
    } else if ("org.uberfire.workbench.events.ResourceDeletedEvent".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_events_ResourceDeletedEvent.class);
    } else if ("org.uberfire.workbench.events.ResourceCopied".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_events_ResourceCopied.class);
    } else if ("org.uberfire.security.impl.authz.DotNamedPermission".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_security_impl_authz_DotNamedPermission.class);
    } else if ("org.jboss.errai.security.shared.api.identity.UserImpl".equals(a0)) {
      m = GWT.create(Marshaller_for_org_jboss_errai_security_shared_api_identity_UserImpl.class);
    } else if ("org.uberfire.mvp.impl.PathPlaceRequest".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_mvp_impl_PathPlaceRequest.class);
    } else if ("org.uberfire.java.nio.file.ClosedWatchServiceException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_java_nio_file_ClosedWatchServiceException.class);
    } else if ("org.uberfire.security.impl.authz.DefaultAuthorizationEntry".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_security_impl_authz_DefaultAuthorizationEntry.class);
    } else if ("org.uberfire.paging.PageResponse".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_paging_PageResponse.class);
    } else if ("org.uberfire.workbench.model.Notification".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_model_Notification.class);
    } else if ("org.uberfire.java.nio.file.DirectoryNotEmptyException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_java_nio_file_DirectoryNotEmptyException.class);
    } else if ("org.uberfire.java.nio.file.ProviderNotFoundException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_java_nio_file_ProviderNotFoundException.class);
    } else if ("org.uberfire.workbench.model.CompassPosition".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_model_CompassPosition.class);
    } else if ("org.uberfire.workbench.events.NotificationEvent$NotificationType".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_events_NotificationEvent_erraiD_NotificationType.class);
    }
    return putIfNotNull(a0, m);
  }

  public Marshaller getMarshaller(String a0) {
    if (a0 == null) {
      return null;
    }
    Marshaller m = marshallers.get(a0);
    if (m != null) {
      return m;
    } else if (loadMarshaller0(a0)) {
      return marshallers.get(a0);
    }
    return null;
  }

  public void registerMarshaller(String a0, Marshaller a1) {
    marshallers.put(a0, a1);
  }
}